M2T(1)

NAME
m2t - Matlab to Tela translator

SYNOPSIS
m2t    [ -s ] [ -d ] [ -v ]  [ m-file [ m-file [...] ] ]

m2t    [ -s ] [ -d ] [ -v ] [ -F ] [ -S ] -m [ m-file [ m-file [...] ] ]

m2t    [ -h | -? ]

DESCRIPTION
m2t translates Matlab m-files into Tela t-files.

The first form takes one or more m-files from the command line or, if no m-file is given, from standard input, translates them into Tela's format, and prints them on standard output. Usually, with this form, only one file is translated at a time.

The second form takes one ore more m-files from the command line, and translates each of them into a seperate t-file with the same name as the m-file's basename and the extension .t appended.

The third form displays a brief help message.

OPTIONS

-s  Silent mode: suppress all warnings.

-v  Verbose mode: print a symbol table for each file.

-d  Suppress matrix division warnings.

-m  Multi-file mode: generate t-files using the respective m-file basenames.

-F  Ignore script files, translate functions only.

-S  Ignore function files, translate scripts only.

-h, -?
    Display help message.

EXAMPLES
Translate myfun.m into myfun.t:

    m2t myfun.m > myfun.t
or

    m2t < myfun.m > myfun.t
Compile all function files in the current working directory into funcs.t:

    m2t -F *.m > funcs.t
Translate all m-scripts in the current working directory into separate t-files:

    m2t -Sm *.m

SEE ALSO

    tela        Tela interpreter
    telakka     Tela extension utility
    ctpp        Tela preprocessor
    plotmtv     Standard associated graphics package
    sppc        Alternative graphics package

WARNINGS

•   Use m2t at your own risk! You must almost always do some hand editing afterwards. m2t is intended to make the transition to Tela easier, not to "emulate" Matlab.

•   It may be possible to violate the law by translating copyrighted Matlab code to Tela. The authors of this program do not take any responsibility for that kind of problems, and you as a user must find out under what conditions you can use this program.

HISTORY
m2t by Pekka Janhunen; man page by Ch. L. Spiel, 2000-12-7.